{
  "name": "saas-lab",
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode dev",
    "build": "vue-tsc --noEmit && vite build --mode prod && npm run deploy",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:pre": "vue-tsc --noEmit && vite build --mode pre",
    "preview": "vite preview --port 4173",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "deploy": "node ./deploy.js",
    "cert": "node ./cert.js"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@microsoft/fetch-event-source": "^2.0.1",
    "@tinymce/tinymce-vue": "^5.0.0",
    "@vant/area-data": "^1.5.1",
    "@vueuse/core": "^9.13.0",
    "@vueuse/head": "^1.0.26",
    "@vueuse/integrations": "^9.13.0",
    "@vueuse/math": "^9.13.0",
    "ali-oss": "^6.17.1",
    "axios": "^1.3.3",
    "blueimp-md5": "^2.19.0",
    "countup.js": "^2.6.2",
    "dayjs": "^1.11.7",
    "element-plus": "^2.4.4",
    "file-saver": "^2.0.5",
    "filesize": "^10.0.7",
    "html-to-image": "^1.11.11",
    "html2pdf.js": "^0.10.1",
    "lodash-es": "^4.17.21",
    "pinia": "^2.1.7",
    "print-js": "^1.6.0",
    "ua-parser-js": "^1.0.33",
    "universal-cookie": "^4.0.4",
    "video.js": "^7.21.1",
    "vue": "^3.4.25",
    "vue-router": "^4.3.2",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.2.0",
    "@tsconfig/node20": "^20.1.4",
    "@types/ali-oss": "^6.16.8",
    "@types/blueimp-md5": "^2.18.0",
    "@types/file-saver": "^2.0.5",
    "@types/lodash-es": "^4.17.7",
    "@types/node": "^20.3.1",
    "@types/ua-parser-js": "^0.7.36",
    "@types/video.js": "^7.3.52",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vue-macros/reactivity-transform": "^0.4.4",
    "@vue/eslint-config-typescript": "^12.0.0",
    "@vue/tsconfig": "^0.5.1",
    "chalk": "^5.2.0",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.25.0",
    "sass": "^1.58.3",
    "typescript": "~5.4.5",
    "unplugin-auto-import": "^0.17.5",
    "vite": "^5.2.10",
    "vite-plugin-checker": "^0.6.4",
    "vue-tsc": "^1.8.27"
  }
}
